Subject: [sfc] Lars Eggert's No Objection on draft-ietf-sfc-nsh-integrity-06: (with COMMENT)

From: Lars Eggert via Datatracker <[email-masked]>
Date: Mon, 12 Jul 2021 07:46:27 -0700

Lars Eggert has entered the following ballot position for
draft-ietf-sfc-nsh-integrity-06: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-sfc-nsh-integrity/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Section 1. , paragraph 6, comment:
>    This specification fills that gap.  Concretely, this document adds
>    integrity protection and optional encryption of sensitive metadata
>    directly to the NSH (Section 4); integrity protects the packet
>    payload and provides replay protection (Section 7.4).  Thus, the NSH
>    does not have to rely upon an underlying transport encapsulation for
>    security and confidentiality.

Given that, I am surprised this document doesn't formally update RFC8300?

Section 6. , paragraph 16, comment:
>       This timestamp format is affected by leap seconds.  The timestamp
>       represents the number of seconds elapsed since the epoch minus the
>       number of leap seconds.

Any particular reason why leap seconds are being excluded here? This is unusual
and also requires care with synchronized clocks (as identified below).

Found terminology that should be reviewed for inclusivity:
 * Term "master"; alternatives might be "active", "central", "initiator",
   "leader", "main", "orchestrator", "parent", "primary", "server".
 * Term "man"; alternatives might be "individual", "people", "person".
See https://www.rfc-editor.org/part2/#inclusive_language for background and
more guidance.

-------------------------------------------------------------------------------
All comments below are about very minor potential issues that you may choose to
address in some way - or ignore - as you see fit. Some were flagged by
automated tools (via https://github.com/larseggert/ietf-reviewtool), so there
will likely be some false positives. There is no need to let me know what you
did with these suggestions.

"SFC ", paragraph 2, nit:
>  Also, this specification allows to encrypt sensitive metadata that is carrie
>                                  ^^^^^^^^^^
Did you mean "encrypting"? Or maybe you should add a pronoun? In active voice,
"allow" + "to" takes an object, usually a pronoun.

Section 2. , paragraph 7, nit:
> ng a service path. The NSH allows to share context information (a.k.a., metad
>                                   ^^^^^^^^
Did you mean "sharing"? Or maybe you should add a pronoun? In active voice,
"allow" + "to" takes an object, usually a pronoun.

Section 9. , paragraph 10, nit:
> ts This document was edited as a follow up to the discussion in IETF#104: ht
>                                  ^^^^^^^^^
This noun is spelled as one word.

---

From: <[email-masked]>
Date: Mon, 12 Jul 2021 19:02:28 +0000

Hi Lars,

Thank you for the review. 

Please see inline.

Cheers,
Med

> -----Message d'origine-----
> De : Lars Eggert via Datatracker [mailto:[email-masked]]
> Envoyé : lundi 12 juillet 2021 16:46
> À : The IESG <[email-masked]>
> Cc : [email-masked]; [email-masked];
> [email-masked]; [email-masked]; [email-masked]
> Objet : Lars Eggert's No Objection on draft-ietf-sfc-nsh-integrity-
> 06: (with COMMENT)
> 
> When responding, please keep the subject line intact and reply to
> all email addresses included in the To and CC lines. (Feel free to
> cut this introductory paragraph, however.)
> 
> 

[Med] Alvaro raised a similar comment. Not reiterating the same answer here.  

> Any particular reason why leap seconds are being excluded here? This
> is unusual and also requires care with synchronized clocks (as
> identified below).

[Med] We are following the guidelines in Section 4.2.1 of RFC8877 (Using a Recommended Timestamp Format). 

>  * Term "master"; alternatives might be "active", "central",

[Med] Not sure what is problematic in saying "... master their complexity .."

>  * Term "man"; alternatives might be "individual", "people",

[Med] Made this change: s/A man-in-the-middle attacker/An on-path attacker. Thanks.

> See https://www.rfc-editor.org/part2/#inclusive_language for
> background and more guidance.
> 
> All comments below are about very minor potential issues that you

[Med] All good ones. Fixed. Thank you. 

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: Lars Eggert <[email-masked]>
Date: Tue, 13 Jul 2021 11:29:11 +0300

Hi,

> [Med] Alvaro raised a similar comment. Not reiterating the same answer here.

OK, I will monitor that discussion thread.

> [Med] Not sure what is problematic in saying "... master their complexity .."

Well, it's a term that some find problematic. Also, wouldn't "control their complexity" be more precise?

Thanks,
Lars